INTERFACE
SUBROUTINE NALAN2(KDIM,KITER,KINNER,KWEIG,PKAPA,PVATRA)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE CONTROL_VECTORS_COMM_MOD
USE CONTROL_VECTORS
INTEGER(KIND=JPIM),INTENT(IN) :: KDIM
INTEGER(KIND=JPIM),INTENT(INOUT) :: KITER
INTEGER(KIND=JPIM),INTENT(IN) :: KINNER
INTEGER(KIND=JPIM),INTENT(IN) :: KWEIG
REAL(KIND=JPRB) ,INTENT(IN) :: PKAPA
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVATRA(KDIM)
END SUBROUTINE NALAN2
END INTERFACE
